opencv: cv::MatxCommaInitializer< _Tp, m, n > Class Template Reference

Public Member Functions | Public Attributes

# cv::MatxCommaInitializer< _Tp, m, n > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
| MatxCommaInitializer (Matx< _Tp, m, n > *_mtx)
Matx< _Tp, m, n > | operator* () const
template<typename _T2 >
MatxCommaInitializer< _Tp, m, n > & | operator, (_T2 value)
template<typename T2 >
MatxCommaInitializer< _Tp, m, n > & | operator, (T2 val)
## Public Attributes
Matx< _Tp, m, n > * | dst
int | idx

### template<typename _Tp, int m, int n>
class cv::MatxCommaInitializer< _Tp, m, n >

## Constructor & Destructor Documentation

template<typename _Tp, int m, int n>

cv::MatxCommaInitializer< _Tp, m, n >::MatxCommaInitializer | ( | Matx< _Tp, m, n > * | _mtx ) | `[inline]`

## Member Function Documentation

template<typename _Tp , int m, int n>

Matx< _Tp, m, n > cv::MatxCommaInitializer< _Tp, m, n >::operator* | ( | ) | const`[inline]`

Reimplemented in cv::VecCommaInitializer< _Tp, m >.

template<typename _Tp, int m, int n>
template<typename _T2 >

MatxCommaInitializer<_Tp, m, n>& cv::MatxCommaInitializer< _Tp, m, n >::operator, | ( | _T2 | value ) | `[inline]`

template<typename _Tp, int m, int n>
template<typename T2 >

MatxCommaInitializer<_Tp, m, n>& cv::MatxCommaInitializer< _Tp, m, n >::operator, | ( | T2 | val ) |

Reimplemented in cv::VecCommaInitializer< _Tp, m >.

## Member Data Documentation

template<typename _Tp, int m, int n>

Matx<_Tp, m, n>* cv::MatxCommaInitializer< _Tp, m, n >::dst

template<typename _Tp, int m, int n>

int cv::MatxCommaInitializer< _Tp, m, n >::idx

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines